package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwTPaidHoliday;

public class ImwTPaidHoliday extends _ImwTPaidHoliday {

  /** Add　2010/08/19 チョウコウ Start */
  public static final String PAID_HOLIDAY_DAYS_COLUMN = "PAID_HOLIDAY_DAYS";
  
  /** Add 20110523 KOHAMA Start 有給申請の日付範囲指定化対応 */
  public static final String VALID_START_DATE_COLUMN = "VALID_START_DATE";

  public static final String VALID_END_DATE_COLUMN = "VALID_END_DATE";

  /** Add 20110523 KOHAMA End   有給申請の日付範囲指定化対応 */


  public Integer getPaidHolidayId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(PAID_HOLIDAY_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setPaidHolidayId(String id) {
    setObjectId(new ObjectId("ImwTPaidHoliday", PAID_HOLIDAY_ID_PK_COLUMN,
        Integer.valueOf(id)));
  }
  
  /** Add　2010/08/19 チョウコウ Start */
  public Integer getFacilityId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(PAID_HOLIDAY_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setFacilityId(String id) {
    setObjectId(new ObjectId("ImwTPaidHoliday", PAID_HOLIDAY_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
}



